'use strict';
var util = require('util'), yeoman = require('yeoman-generator');
/**
 * 发布整个项目时,需要执行的操作
 * 1.移动有用的js到lib目录下,
 * 2.删除bower_components中无用的js, bower.json等
 * 3.替换main.js中得路径
 * 4.执行gulp来压缩和合并js
 * @type {Function}
 */
var Generator = module.exports = function Generator(args, options){
    yeoman.generators.Base.apply(args, options);
    this.log('执行发布前的操作,删除部分不需要的文件');
};
util.inherits(Generator, yeoman.generators.Base);

Generator.prototype.askFor = function askFor(){
    var prompts = [];
    var cb = this.async();
    this.prompt(prompts, function(){

        cb();
    }.bind(this));
};