require.config({
    urlArgs: "_=" + (new Date()).getTime(),
    baseUrl: '/js',
    paths: {
        'angular': 'bower_components/angular/angular',
        'angular-route': 'bower_components/angular-route/angular-route'
    }, shim: {
        angular: {
            exports: 'angular'
        },
        'angular-route': {
            exports: 'angular-route',
            deps: ['angular']
        }
    }
});

require(['app', 'angular', './route'], function(app, angular){
    angular.bootstrap(document, ['<%= appname %>']);
});
